Package oracle.dbtools.plugin.api.conf

## Enum ConfigurationStatus

- java.lang.Object
- - java.lang.Enum<ConfigurationStatus>
  - - oracle.dbtools.plugin.api.conf.ConfigurationStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConfigurationStatus>`

      public enum ConfigurationStatus
      extends java.lang.Enum<ConfigurationStatus>

  Enumerates the status of a ConfigurationSettings.
  Author:
    peobrie

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEPRECATED` |
    `DOCUMENTED` |
    `UNDOCUMENTED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConfigurationStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConfigurationStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOCUMENTED

          public static final ConfigurationStatus DOCUMENTED

    - #### UNDOCUMENTED

          public static final ConfigurationStatus UNDOCUMENTED

    - #### DEPRECATED

          public static final ConfigurationStatus DEPRECATED

  - ### Method Detail

    - #### values

          public static ConfigurationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigurationStatus c : ConfigurationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigurationStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null